MutateSharedCriteria

  • The MutateSharedCriteria operation is used to create or remove shared criteria.

  • The operation returns statuses indicating success or failure.

  • The operation can throw a variety of errors, including AuthenticationError, AuthorizationError, and CriterionError.

  • This operation requires the https://www.googleapis.com/auth/adwords OAuth scope for authorization.

Creates or removes shared criteria. Operation statuses are returned.

List of thrown errors: AuthenticationError AuthorizationError CriterionError DatabaseError DistinctError FieldError HeaderError IdError InternalError MutateError NotEmptyError NullError OperatorError QuotaError RangeError RequestError ResourceCountLimitExceededError SizeLimitError StringFormatError StringLengthError

HTTP request

POST https://googleads.googleapis.com/v21/customers/{customerId}/sharedCriteria:mutate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customerId

string

Required. The ID of the customer whose shared criteria are being modified.

Request body

The request body contains data with the following structure:

JSON representation
{
  "operations": [
    {
      object (SharedCriterionOperation)
    }
  ],
  "partialFailure": boolean,
  "validateOnly": boolean,
  "responseContentType": enum (ResponseContentType)
}
Fields
operations[]

object (SharedCriterionOperation)

Required. The list of operations to perform on individual shared criteria.

partialFailure

boolean

If true, successful operations will be carried out and invalid operations will return errors. If false, all operations will be carried out in one transaction if and only if they are all valid. Default is false.

responseContentType

enum (ResponseContentType)

The response content type setting. Determines whether the mutable resource or just the resource name should be returned post mutation.

validateOnly

boolean

If true, the request is validated but not executed. Only errors are returned, not results.

Response body

Response message for a shared criterion mutate.

If successful, the response body contains data with the following structure:

JSON representation
{
  "partialFailureError": {
    object (Status)
  },
  "results": [
    {
      object (MutateSharedCriterionResult)
    }
  ]
}
Fields
partialFailureError

object (Status)

Errors that pertain to operation failures in the partial failure mode. Returned only when partialFailure = true and all errors occur inside the operations. If any errors occur outside the operations (for example, auth errors), we return an RPC level error.

results[]

object (MutateSharedCriterionResult)

All results for the mutate.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/adwords

For more information, see the OAuth 2.0 Overview.